PHP is among the most commonly used open-source server-side coding languages. It’s rather popular because it’s free software, which you can use to develop responsive sites such as community websites, online shops or e-teaching websites instead of static HTML-based sites. A PHP module must be enabled on the server where a PHP-driven site is hosted so that its PHP code can be ‘decoded’. As there aren’t any license charges for this sort of module and the language provides limitless options for the Internet apps that you create, there are hundreds of millions of PHP websites. In addition, there’re tons of PHP-based scripts, which you can use for your sites without needing to have any coding know-how. Given the fact that there are several versions of PHP, you must verify that the same exact version that you used whilst creating your site is present on the web server as well.
PHP 4 and PHP 5 Support in Website Hosting
Our website hosting servers support different PHP versions, so your sites will run correctly no matter if your scripts are outdated. We acknowledge the fact that an old site does not always imply a vulnerable one as you may have performed plenty of modifications to its source code. That is why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can pick which version will be active for your hosting account. The version can be changed with only one click through your Hepsia Control Panel and the new settings will be applied straight away. If you would like to run both older and newer scripts, there is even a possibility to use a different version of PHP for each of your domains simultaneously.
PHP 4 and PHP 5 Support in Semi-dedicated Hosting
It is our unvarying belief that several years spent building a website should not go down the drain, which goes to say that if you order a semi-dedicated server from us, you’ll be able to run any script, regardless of whether it is new or old. In contrast with many web hosts, we support a number of different versions of PHP on our state-of-the-art cloud web hosting platform – 5.5, 5.4, 5.3, 5.2 and 4. Not only will you have the ability to enable the needed version from your Hepsia hosting Control Panel, but you will also have the option to select a different PHP version for each website. This can be accomplished simply by uploading an .htaccess file to the root folder of the given site. You can change the version either for a single website or for the account itself and the update will take effect in just several minutes. With our hosting services, you can be certain that you won’t ever come across any site compatibility problems.